import 'package:flutter/material.dart';

class ActivityTypeFilter extends StatefulWidget {
  const ActivityTypeFilter({super.key});

  @override
  State<StatefulWidget> createState() => _ActivityTypeFilterState();
}

class _ActivityTypeFilterState extends State<ActivityTypeFilter> {
  @override
  Widget build(BuildContext context) {
    return const DropdownMenu(
      hintText: 'Filter by type of activity',
      initialSelection: "fundamentals",
      // controller: colorController,
      label: Text('Type'),
      dropdownMenuEntries: [
        DropdownMenuEntry(value: 'fundamentals', label: 'Fundamentals'),
        DropdownMenuEntry(value: 'conditioning', label: 'Conditioning'),
        DropdownMenuEntry(value: 'advanced', label: 'Advanced'),
        DropdownMenuEntry(value: 'custom', label: 'Custom'),
        DropdownMenuEntry(value: 'pro', label: 'Pro')
      ],
      // onSelected: (ColorLabel? color) {
      //   setState(() {
      //     selectedColor = color;
      //   });
      // },
    );
  }
}
